<?php
/* $Id: [sahana_home]/mod/hw/say_hello.inc,v 1.0 2006/10/02  */
/**
 *
 * Hello World Module --  displays the say_hello form.
 *
 * @package    Trinity_College_hw_demo
 * @copyright  Copyright {@link http://www.opensource.lk Lanka Software Foundation} 2006
 * @license    http://www.gnu.org/copyleft/lesser.html GNU Lesser General Public License (LGPL) 
 * @author     R. Morelli <ralph.morelli@trincoll.edu>
 */

global $global;


/**
 * Creates a simple form that says hello.
 *
 * @access public
 * @return void
 */
function shn_hw_say_hello() {

?>
<center><h2><?=_("Hello Form  - Give me your name and I'll say hello")?> </h2>
<h2><?=_("When you are finished, click \"Submit\".")?> </h2></center><BR>
<div id="formcontainer">
<?php
    shn_form_fopen("process_hello");                                   // Open the Form
    shn_form_fsopen('Get the Name');                                   // The group of fields get's the user's name
    $extra_opts['req']=true;                                           // The name is a required field
    shn_form_text(_("Your name  : "),'name','size="50"',$extra_opts);  // Create a text field element
    shn_form_date(_("Date of Birth : "),'dob', $initdate=NULL);        // Create a date element
    echo "<br>";       
    _shn_form_select_gender($error,NULL);                              // Create a gender drop-down menu (Trinity library)
    echo "<br>";
    shn_form_fsclose();                                                // Close this group of elements
?> <br /> <center> 
<?php
    shn_form_submit("Submit");                       // Create the submit button
?> </center> <br />
<?php
    shn_form_fclose();                               // Close the form
?> </div>
<?php
} // say_hello()



